---
updatedAt: 2026-05-14T14:32:15.000Z
agentTools:
  projectIndex: https://docs.oysterhr.com/v0.1/llms.txt
---

# Retrieve time tracking sources by source type for engagement

Retrieves time tracking sources for a specific engagement and source type.

- Use the `engagement_id` and `source_type` path parameters to fetch relevant sources for an engagement.
- For creating a time sheet, both work schedules and entry types are required.
- When updating time sheet entries, only entry types are needed, this endpoint provides the necessary data.

Typical use case:
- Retrieving entry types when modifying existing time sheet entries.


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Endpoints",
    "version": "v0.1"
  },
  "components": {
    "securitySchemes": {
      "bearer_auth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "paths": {
    "/v0.1/time_tracking/rulesets/{engagement_id}/sources/{source_type}": {
      "get": {
        "summary": "Retrieve time tracking sources by source type for engagement",
        "tags": [
          "Time Tracking"
        ],
        "description": "Retrieves time tracking sources for a specific engagement and source type.\n\n- Use the `engagement_id` and `source_type` path parameters to fetch relevant sources for an engagement.\n- For creating a time sheet, both work schedules and entry types are required.\n- When updating time sheet entries, only entry types are needed, this endpoint provides the necessary data.\n\nTypical use case:\n- Retrieving entry types when modifying existing time sheet entries.\n",
        "security": [
          {
            "bearer_auth": [
              "read"
            ]
          }
        ],
        "parameters": [
          {
            "name": "engagement_id",
            "in": "path",
            "description": "Engagement ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source_type",
            "in": "path",
            "schema": {
              "type": "string",
              "enum": [
                "entry_types",
                "work_schedule"
              ]
            },
            "description": "Source type to retrieve",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/json": {
                "examples": {
                  "Successful": {
                    "value": {
                      "data": [
                        {
                          "value": "REGULAR",
                          "title": "Regular hours"
                        },
                        {
                          "value": "OVERTIME",
                          "title": "Overtime"
                        },
                        {
                          "value": "NIGHT_WORK",
                          "title": "Night work"
                        },
                        {
                          "value": "ON_CALL",
                          "title": "On-call"
                        },
                        {
                          "value": "ON_CALL_ACTIVE",
                          "title": "On-call active"
                        },
                        {
                          "value": "ON_CALL_PASSIVE",
                          "title": "On-call passive"
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.oysterhr.com",
      "description": "Production server"
    },
    {
      "url": "https://api-sandbox.oysterhr.com",
      "description": "Sandbox server"
    }
  ]
}
```